.sorter {
    border: none;
    outline: none;
    width: 100%;
    white-space: nowrap;
    background: transparent;
    height: rem(38);
    padding: rem(4) rem(15);
    z-index: 10;
    position: relative;
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
    font-weight: 600;
    font-size: rem(13);
    line-height: rem(20);
    border-radius: rem(10);
    background: $white;

    &__icon {
        height: rem(9);
        font-size: 0;
        line-height: 0;
        stroke: $black;
        margin-right: rem(8);
        display: inline-block;
    }

    &__arrow {
        height: rem(14);
        margin-left: rem(8);
        font-size: 0;
        line-height: 0;
        fill: $black;
        display: inline-block;
    }

    @include media-breakpoint-up(md) {
        width: auto;
    }

    @include media-breakpoint-up(xl) {
        padding: rem(4) rem(15);

        &__icon {
            margin-right: rem(10);
        }

        &__icon {
            margin-right: rem(10);
        }
    }
}

.top-filters {
    padding: 0 0 rem(15) 0;

    &__receipts {
        margin-bottom: rem(14);
    }

    &__content {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__filter {
        font-size: 0;
        line-height: 0;
        margin-right: rem(10);
    }

    &__sorter {
        flex-grow: 1;

        .dropdown {
            width: 100%;
        }
    }

    &__view {
        display: none;
    }

    @include media-breakpoint-up(md) {
        max-width: 100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding-bottom: rem(20);

        &__content {
            order: 1;
            flex-shrink: 0;
            justify-content: space-between;
        }

        &__receipts {
            order: 2;
            margin: 0;
            flex-shrink: 0;
            width: calc(100% - 20.875rem);
        }

        &__sorter {
            width: 100%;
            max-width: rem(190);
            flex-shrink: 0;
        }

        &__view {
            order: 3;
            display: flex;
            align-items: center;

            .btn-icon {

                &:not(:last-child) {
                    margin-right: rem(10);
                }
            }
        }
    }

    @include media-breakpoint-up(xl) {
        justify-content: flex-start;

        &__filter {
            display: none;
        }

        &__content {
            width: rem(200);
        }

        &__receipts {
            width: calc(100% - 19.125rem);
        }

        &__view {
            flex-grow: 1;
            justify-content: flex-end;
        }
    }
}

.filter {
    top: 0;
    left: 0;
    bottom: 0;
    width: 100%;
    z-index: 1050;
    position: fixed;
    background: $white;
    transform: translateX(-100%);
    transition: .3s;

    &__layout {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 1000;
        position: fixed;
        background: rgba(39, 35, 65, 0.69);
        opacity: 0;
        visibility: hidden;
    }

    &__header {
        z-index: 50;
        height: rem(58);
        position: relative;
        background: $white;
        display: flex;
        align-items: center;
        justify-content: space-between;
        border-bottom: 1px solid $gray-lilac;


        &--backward {
            border: none;
            outline: none;
            font-size: 0;
            line-height: 0;
            width: rem(57);
            height: rem(57);
            display: flex;
            align-items: center;
            justify-content: center;
            fill: $blue-dark;
            background: transparent;

            i {
                height: rem(16);
                display: inline-block;
                flex-shrink: 0;
            }
        }

        &--close {
            font-size: 0;
            line-height: 0;
            width: rem(57);
            height: rem(57);
            display: flex;
            align-items: center;
            justify-content: center;
            fill: $gray;

            i {
                height: rem(32);
                display: inline-block;
                flex-shrink: 0;
            }
        }

        &--title {
            color: $black;
            font-weight: 700;
            font-size: rem(18);
            line-height: rem(25);
            white-space: nowrap;
        }

    }

    &__body {
        left: 0;
        right: 0;
        bottom: 0;
        top: rem(58);
        overflow-y: auto;
        position: absolute;
    }

    &__group {
        border-bottom: 1px solid $gray-lilac;

        &.open {

            .filter__title--arrow {
                transform: rotate(180deg);
                transition: .3s;
            }
        }
    }

    &__content {

        &--wrap {
            padding: rem(4) rem(20) rem(20) rem(20);
        }
    }

    &__title {
        cursor: pointer;
        padding: rem(4) rem(20);
        height: rem(58);
        font-weight: 700;
        font-size: rem(14);
        line-height: 140%;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--arrow {
            height: rem(15);
            font-size: 0;
            line-height: 0;
            stroke: $black;
            display: inline-block;
            transition: .3s;
        }
    }

    &__list {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__item {
        margin-bottom: rem(15);

        &:last-child {
            margin-bottom: 0;
        }
    }

    &__link {
        color: $blue;
        width: 100%;
        font-size: rem(15);
        line-height: rem(19);
        border-radius: rem(5);
        text-decoration: none;
        padding: rem(6) rem(10);
        display: inline-flex;
        align-items: center;
        background-color: #F8F8FD;

        &:hover {
            color: $blue-hover;
            text-decoration: none;
        }

        i {
            font-size: 0;
            line-height: 0;
            height: rem(16);
            margin-right: rem(8);
            display: inline-block;
        }

        span {

        }

        &.active {
            color: $dark;
            font-weight: 600;
            cursor: default;
        }
    }

    &__price {
        padding: rem(2) 0;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--item {
            flex-grow: 0;
            width: calc(50% - 0.875rem);
        }
    }

    @include media-breakpoint-up(md) {
        width: rem(320);

        &__price {

            &--item {
                flex-grow: 0;
                width: calc(50% - 0.3125rem);
            }
        }
    }

    @include media-breakpoint-up(xl) {
        width: 100%;
        top: auto;
        left: auto;
        right: auto;
        bottom: auto;
        z-index: 100;
        position: relative;
        transform: translateX(0);
        background: transparent;

        &__layout {
            display: none;
        }

        &__header {
            display: none;
        }

        &__body {
            top: auto;
            left: auto;
            right: auto;
            bottom: auto;
            position: relative;
        }

        &__group {
            background: $white;
            border-bottom: none;
            border-radius: rem(10);
            margin-bottom: rem(10);
        }
    }
}

.filter-open {
    overflow: hidden;

    .filter {
        transform: translateX(0);
        transition: .3s;
    }

    .filter__layout {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    @include media-breakpoint-up(xl) {
        overflow: auto;

        .filter__layout {
            opacity: 0;
            visibility: hidden;
        }
    }
}

.receipts {
    max-width: 100%;
    font-size: rem(12);
    line-height: 140%;
    position: relative;

    &__slider {
        overflow: visible;

        .swiper-slide {
            width: auto;
            padding-right: rem(5);
        }
    }

    &__link {
        color: $black;
        height: rem(37);
        padding: rem(4) rem(15);
        white-space: nowrap;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        text-decoration: none;
        background: $white;
        border-radius: rem(10);

        &:hover {
            color: $blue;
            text-decoration: none;
        }
    }

    &__nav {
        display: none;
        transition: .3s;

        &.swiper-button-disabled {
            opacity: 0;
            visibility: hidden;
            transition: .3s;
        }
    }

    @include media-breakpoint-up(md) {

        &__slider {
            z-index: 10;
            overflow: hidden;
            position: relative;
        //    padding-left: rem(38);

            .swiper-slide {
                width: auto;
                padding-right: rem(10);

                &:last-child {
                    padding-right: rem(5);
                }
            }
        }

        &__nav {
            top: 0;
            z-index: 50;
            display: block;
            position: absolute;

            &:before {
                top: 0;
                bottom: 0;
                z-index: 20;
                width: rem(50);
                content: '';
                position: absolute;
                background: linear-gradient(270deg, rgba(145, 169, 255, 0.2) 4.97%, rgba(0, 0, 0, 0) 62.34%),
                linear-gradient(0deg, rgba(255,255,255, 0.5), rgba(255,255,255,0.5));
            }

            &--prev {
                left: 0;

                i {
                    transform: rotate(180deg);
                }

                &:before {
                    left: rem(30);
                    transform: rotate(180deg);

                }
            }

            &--next {
                right: 0;

                &:before {
                    right: rem(30);
                }
            }
        }

        .btn-icon {
            z-index: 20;
            position: relative;
        }
    }
}
